import .connectives
import .leibniz
axiom nat.nat : Type.
constant nat.filter_nat_type : forall (return : Type) , ((nat.nat) -> return) -> (nat.nat) -> return.
constant nat.minus : (nat.nat) -> (nat.nat) -> nat.nat.
constant nat.minus_body : (nat.nat) -> (nat.nat) -> nat.nat.
axiom nat.axiom_minus : forall (n:nat.nat) , (((connectives.equal) ((nat.nat) -> nat.nat)) (((nat.minus) ) (n))) ((((nat.filter_nat_type) ((nat.nat) -> nat.nat)) ((nat.minus_body) )) (n)).
theorem nat.eq_minus : forall (n:nat.nat) , (((leibniz.leibniz) ((nat.nat) -> nat.nat)) (((nat.minus) ) (n))) ((((nat.filter_nat_type) ((nat.nat) -> nat.nat)) ((nat.minus_body) )) (n)) := fun (n : nat.nat) , ((((@connectives.equal_leibniz) ((nat.nat) -> nat.nat)) (((nat.minus) ) (n))) ((((nat.filter_nat_type) ((nat.nat) -> nat.nat)) ((nat.minus_body) )) (n))) ((@nat.axiom_minus) (n)).
theorem nat.sym_eq_minus : forall (n:nat.nat) , (((leibniz.leibniz) ((nat.nat) -> nat.nat)) ((((nat.filter_nat_type) ((nat.nat) -> nat.nat)) ((nat.minus_body) )) (n))) (((nat.minus) ) (n)) := fun (n : nat.nat) , ((((@leibniz.sym_leibniz) ((nat.nat) -> nat.nat)) (((nat.minus) ) (n))) ((((nat.filter_nat_type) ((nat.nat) -> nat.nat)) ((nat.minus_body) )) (n))) ((@nat.eq_minus) (n)).
